/***************************************************************************
 *   Copyright (C) 2008 by Andreas Silberstorff   *
 *   ml@andreas-silberstorff.de   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include "channel.h"

#include <QString>

namespace KalvaData {

Channel::Channel()
{
}
  
QString& Channel::station() { return m_station; }
QString& Channel::channel() { return m_channel; }
QString& Channel::frequence() { return m_frequence; }

void Channel::setStation(QString station) { m_station = station; }
void Channel::setChannel(QString channel) { m_channel = channel; }
void Channel::setFrequence(QString frequence) { m_frequence = frequence; }

} // end of namespace

#include "channel.moc"
