/***************************************************************************
 *   Copyright (C) 2004 by Hans Oischinger                                 *
 *   hans.oischinger@kdemail.net                                           *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Steet, Fifth Floor, Boston, MA 02110-1301, USA.             *
 ***************************************************************************/
#ifndef TIMELINETABLE_H
#define TIMELINETABLE_H

#include <qtable.h>

/**
@author Hans Oischinger
*/
class TimelineTable : public QTable
{
  Q_OBJECT
public:
  TimelineTable(int rows=1, int columns=200, QWidget *parent = 0, const char *name = 0);
  ~TimelineTable();

signals:
  void timeFrameClicked(int frame);
  
protected slots:
  void frameClicked(int row, int col);
};

#endif
