/***************************************************************************
 * tabtimetest.h
 *
 * This file is part of KTabEdit, a KDE tabulature editor
 *
 * copyright (C) 2007- the KTabEdit development team <mrgwen@gmail.com>
 ***************************************************************************/

/***************************************************************************
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * See the file COPYING for more information.
 ***************************************************************************/

#ifndef TABTIMETEST_H
#define TABTIMETEST_H

#include <QtTest>
#include <QtCore>

class TabTimeTest : public QObject
{
	Q_OBJECT
private slots:
	void testCopyConstructor();
	void testString();
	void testNoteExist();
	void testFret();
	void testDuration();
	void testRest();
	void testNote();
	void testDotted();
	void testTuplet();
	void testText();
	void testChord();
	void testEffect();
	void testOperators();
};

#endif
