/***************************************************************************
 * tabbartest.h
 *
 * This file is part of KTabEdit, a KDE tabulature editor
 *
 * copyright (C) 2004-2007 the KTabEdit development team <mrgwen@gmail.com>
 ***************************************************************************/

/***************************************************************************
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * See the file COPYING for more information.
 ***************************************************************************/

#ifndef TABBARTEST_H
#define TABBARTEST_H

#include <QtTest>
#include <QtCore>

class TabBarTest : public QObject
{
	Q_OBJECT
private slots:
	void testConstructor();
	void testKeySignature();
	void testTime();
	void testNote();
	void testFret();
	void testDuration();
	void testOperators();
};

#endif
